[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Variants' (#rtl)

# IVarInvokeable.GetProperty

Called when a property must be read

## Declaration

Source position: variants.pp line 220

`function IVarInvokeable.GetProperty(`
`var Dest: tvardata;`
`const V: tvardata;`
`const Name: string`
`):Boolean;`

## Arguments

`Dest` |  | On success, contains the value of the property
`V` |  | Variant to read property from
`Name` |  | Name of property to read.

## Function result

Indicate whether the property was read correctly

## Description

DoFunction is called whenever a variant property is read. Dest must be filled with the value of the property on success. V is the variant on which the property is read. The Name is the name of the property to read.

The function must return True if the property was read correctly, False otherwise.

## See also

IVarInvokeable.DoFunction |  | Called for methods that return a result (functions)
IVarInvokeable.DoProcedure |  | Called for methods that do not return a result (procedures)
IVarInvokeable.SetProperty |  | Called when a property must be set